package com.ss.android.ugc.aweme.web.jsbridge;

import X.0CB;
import X.0CH;
import X.6Is;
import X.BAu;
import X.C0236FYc;
import X.C0404Feo;
import X.CqM;
import X.FIu;
import com.bytedance.covode.number.Covode;
import com.google.gson.Gson;
import com.ss.android.ugc.aweme.fe.base.BaseCommonJavaMethod;
import java.util.HashMap;
import org.json.JSONObject;

public class AsyncGoodsEditInfoMethod extends BaseCommonJavaMethod implements 6Is {
    static {
        Covode.recordClassIndex(124433);
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        AsyncGoodsEditInfoMethod.super.onStateChanged(r1, r2);
    }

    public void handle(JSONObject jSONObject, FIu fIu) {
        C0404Feo feo;
        String optString = jSONObject.optString("draftId");
        String optString2 = jSONObject.optString("title");
        HashMap hashMap = new HashMap();
        hashMap.put("shop_draft_id", optString);
        if (!optString.isEmpty()) {
            feo = new C0404Feo(BAu.SHOP.getTYPE(), new Gson().LIZIZ(hashMap), optString2, "", 1);
        } else {
            feo = null;
        }
        CqM.LIZ(new C0236FYc(feo));
    }
}
